> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Booking requests will be sent to the booking system when a customer has purchased the product through the
Website Travel platform.

> Make a Booking



## OpenAPI

````yaml /openapi/ebs-supplier-api.json post /cms/ebs/productbookings
openapi: 3.0.0
info:
  title: EBS Supplier API
  version: 0.0.0
  description: >-
    Supplier-side EBS integration endpoints for authentication, availability,
    booking, and cancellations.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Authentication / Authorisation
    description: Authentication / Authorisation
  - name: Booking Parameters
    description: Booking Parameters
  - name: Availability
    description: Availability
  - name: Booking
    description: Booking
  - name: Bookings
    description: Bookings
  - name: Product Bookings
    description: Product Bookings
  - name: Booking Cancellation
    description: Booking Cancellation
paths:
  /cms/ebs/productbookings:
    post:
      tags:
        - Version 1
        - Product Bookings
      summary: >-
        Booking requests will be sent to the booking system when a customer has
        purchased the product through the

        Website Travel platform.
      description: Make a Booking
      operationId: post_cms_core_ebs_makeproductbookings
      requestBody:
        description: Booking Request Parameters
        required: true
        content:
          application/json:
            schema:
              description: Product Bookings Request Parameters
              properties:
                orderReference:
                  description: >-
                    The Website Travel reference for the order which contains
                    the booking/voucher. An order may contain multiple vouchers
                    for the same or different products.
                  type: string
                agency:
                  description: Details of agency which took the booking
                  properties:
                    branch:
                      description: Name of branch which took the booking
                      type: string
                    agent:
                      description: Name of agent who took the booking
                      type: string
                    phone:
                      description: Phone number for branch which took the booking
                      type: string
                    branchCode:
                      description: Branch Code of Agent
                      type: string
                  type: object
                customers:
                  description: List of customers included on this booking request
                  type: array
                  items:
                    description: Details of customer
                    properties:
                      customerIndex:
                        description: Customer's index
                        type: integer
                      customerTitle:
                        description: Customer's title (Mr, Mrs, etc)
                        type: string
                      customerFirstName:
                        description: Customer's first name
                        type: string
                      customerLastName:
                        description: Customer's last name
                        type: string
                      customerPhone:
                        description: Customer's phone
                        type: string
                      customerDateOfBirth:
                        description: Customer's date of birth, in YYYY-MM-DD format
                        type: string
                        format: date
                      customerEmail:
                        description: Customer's email
                        type: string
                      customerCountry:
                        description: Customer's country
                        type: string
                      customerPostcode:
                        description: Customer's postcode
                        type: string
                      voucherComment:
                        description: >-
                          Additional comments made by the agent about this
                          booking. Can be different per customer
                        type: string
                    type: object
                bookings:
                  description: List of bookings included on this booking request
                  type: array
                  items:
                    description: Details of BookingRange
                    properties:
                      startDate:
                        description: Start date of booking in YYYY-MM-DD format.
                        type: string
                      endDate:
                        description: End date of booking in YYYY-MM-DD format.
                        type: string
                      bookingDetails:
                        description: Booking Details
                        type: array
                        items:
                          description: Booking Details
                          properties:
                            bookingDate:
                              description: Date of booking in YYYY-MM-DD format.
                              type: string
                            bookingTimeId:
                              description: >-
                                Identifier of booking time to make booking for.
                                Provided in the Booking Details response.
                              type: string
                            pickupLocationId:
                              description: >-
                                Identifier of pickup location to make booking
                                for. Provided in the Booking Details response.
                              type: string
                            rrp:
                              description: >-
                                The recommended retail price. Note that this is
                                per qty, not a total for the entire booking.
                              type: number
                              format: float
                            net:
                              description: >-
                                Your net rate. Note that this is per qty, not a
                                total for the entire booking.
                              type: number
                              format: float
                            currencyCode:
                              description: Currency code for booking.
                              type: string
                            voucherNumber:
                              description: >-
                                The Website Travel voucher number for this
                                booking.

                                The first three characters of the voucherNumber
                                will be the unique branch code for the branch
                                which made the booking.
                              type: string
                            bookingDetailCustomers:
                              description: >-
                                List of customers included on this booking
                                detail.
                              type: array
                              items:
                                properties:
                                  customerIndex:
                                    description: Customer's index.
                                    type: integer
                                  quantity:
                                    description: >-
                                      The quantity of product being booked for
                                      this date.
                                    type: integer
                                  additionalFields:
                                    description: >-
                                      Array of key-value pairs, where key =
                                      additionalFieldId provided in Booking
                                      Details response, and value = text entered
                                      by agent.
                                    type: object
                                type: object
                          type: object
                      productIdentifier:
                        description: Product Identifier
                        type: string
                    type: object
                test:
                  description: Set Test or not
                  type: integer
              type: object
      responses:
        '200':
          description: Returned when successful.
          content:
            application/json:
              schema:
                properties:
                  orderReference:
                    description: >-
                      The Website Travel reference for the order which contains
                      the booking/voucher.
                    type: string
                  bookings:
                    description: List of bookings included on this booking response.
                    type: array
                    items:
                      properties:
                        bookingDate:
                          description: Date of booking in YYYY-MM-DD format.
                          type: string
                        voucherNumber:
                          description: The Website Travel voucher number for this booking.
                          type: string
                        bookingDetailCustomers:
                          description: List of customers included on this booking detail.
                          type: array
                          items:
                            properties:
                              customerIndex:
                                description: Customer's index
                                type: integer
                              success:
                                description: >-
                                  Whether or not the booking was made
                                  successfully.
                                type: boolean
                              bookingReferenceId:
                                description: >-
                                  The booking reference from the external
                                  booking system.
                                type: string
                              bookingNotes:
                                description: >-
                                  The booking notes from the external booking
                                  system.
                                type: string
                              errorMessage:
                                description: A reason for the unsuccessful booking request.
                                type: string
                            type: object
                      type: object
                type: object
        default:
          description: >-
            Not 200, will all be treated as a failure. Use an appropriate code
            and detailed error message.<br/><strong>Note:</strong> Response
            payload also includes a 'success' boolean and optional error
            message. You can still return 200 but also indicate failure.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.